> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# RPC Providers

> List of public RPC endpoints for the NEAR Protocol.

NEAR Protocol exposes a JSON-RPC API for interacting with the network. You can use any of the providers below or run your own node.

## RPC Providers

FastNear maintains a [comprehensive dashboard](https://grafana.fastnear.com/public-dashboards/577b37c6cfe84b2bae23af471d27cade) with response times for most of the available endpoints.

### Mainnet

| Provider                                                                | Endpoint                                        | Public Endpoint | Archival Node |       Free Tier       | Paid Plan |
| ----------------------------------------------------------------------- | ----------------------------------------------- | :-------------: | :-----------: | :-------------------: | :-------: |
| [FASTNEAR](https://fastnear.com)                                        | `https://free.rpc.fastnear.com`                 |        ✅        |   Paid Only   |           ✅           |     ✅     |
| [NEAR](https://near.org)                                                | `https://archival-rpc.mainnet.near.org`         |        ✅        |       ✅       | Severely rate limited |     ❌     |
| [1RPC](https://1rpc.io)                                                 | `https://1rpc.io/near`                          |        ✅        |       ❌       |           ✅           |     ✅     |
| [All That Node](https://www.allthatnode.com/protocol/near.dsrv)         | N/A                                             |        ❌        |       ✅       |           ✅           |     ✅     |
| [Ankr](https://www.ankr.com/rpc/near/)                                  | `https://rpc.ankr.com/near`                     |        ❌        |       ❌       |           ✅           |     ✅     |
| [BlockPI Network](https://blockpi.io/chain/near)                        | `https://near.blockpi.network/v1/rpc/public`    |        ✅        |       ❌       |           ✅           |     ✅     |
| [dRPC](https://drpc.org/chainlist/near-mainnet-rpc)                     | `https://near.drpc.org`                         |        ✅        |       ❌       |           ✅           |     ✅     |
| [GetBlock](https://getblock.io/nodes/near/)                             | `https://go.getblock.io/{api-key}`              |        ❌        |       ❌       |           ✅           |     ✅     |
| [Intear RPC](https://intea.rs/)                                         | `https://rpc.intea.rs`                          |        ✅        |       ❌       |           ✅           |     ❌     |
| [Lava Network](https://www.lavanet.xyz/lava-public-rpc)                 | N/A                                             |        ❌        |       ✅       |           ❌           |     ✅     |
| [Lavender.Five Nodes](https://www.lavenderfive.com/tools/near/overview) | N/A                                             |        ❌        |       ❌       |           ✅           |     ✅     |
| [NodeReal](https://nodereal.io/api-marketplace/near-rpc)                | `https://near-mainnet.nodereal.io/v1/{api-key}` |        ❌        |       ❌       |           ✅           |     ✅     |
| [NOWNodes](https://nownodes.io/near)                                    | `https://near.nownodes.io/{api-key}`            |        ❌        |       ❌       |           ✅           |     ✅     |
| [QuickNode](https://www.quicknode.com/chains/near)                      | N/A                                             |        ❌        |       ✅       |           ✅           |     ✅     |
| [Shitzu](https://shitzuapes.xyz/)                                       | `https://rpc.shitzuapes.xyz`                    |        ✅        |       ❌       |           ✅           |     ❌     |
| [Tatum](https://tatum.io/chain/near/)                                   | N/A                                             |        ❌        |       ❌       |           ✅           |     ✅     |
| [ZAN](https://zan.top/service/apikeys)                                  | `https://api.zan.top/node/v1/near/mainnet/`     |        ✅        |       ❌       |           ✅           |     ✅     |
| [Zeeve](https://www.zeeve.io/blockchain-protocols/deploy-near-node/)    | N/A                                             |        ❌        |       ✅       |           ❌           |     ✅     |

### Testnet

| Provider                                                             | Endpoint                                      | Public Endpoint | Archival Node |       Free Tier       | Paid Plan |
| -------------------------------------------------------------------- | --------------------------------------------- | :-------------: | :-----------: | :-------------------: | :-------: |
| [FASTNEAR](https://fastnear.com)                                     | `https://test.rpc.fastnear.com`               |        ✅        |   Paid Only   |           ✅           |     ✅     |
| [NEAR](https://near.org)                                             | `https://archival-rpc.testnet.near.org`       |        ✅        |       ✅       | Severely rate limited |     ❌     |
| [All That Node](https://www.allthatnode.com/protocol/near.dsrv)      | N/A                                           |        ❌        |       ✅       |           ✅           |     ✅     |
| [dRPC](https://drpc.org/chainlist/near-testnet-rpc)                  | `https://near-testnet.drpc.org`               |        ✅        |       ❌       |           ✅           |     ✅     |
| [Intear RPC](https://intea.rs/)                                      | `https://testnet-rpc.intea.rs`                |        ✅        |       ❌       |           ✅           |     ❌     |
| [Lava Network](https://www.lavanet.xyz/lava-public-rpc)              | N/A                                           |        ❌        |       ✅       |           ❌           |     ✅     |
| [QuickNode](https://www.quicknode.com/chains/near)                   | N/A                                           |        ❌        |       ✅       |           ✅           |     ✅     |
| [Tatum](https://tatum.io/chain/near/)                                | N/A                                           |        ❌        |       ❌       |           ✅           |     ✅     |
| [ZAN](https://zan.top/service/apikeys)                               | `https://api.zan.top/node/ws/v1/near/testnet` |        ❌        |       ❌       |           ✅           |     ✅     |
| [Zeeve](https://www.zeeve.io/blockchain-protocols/deploy-near-node/) | N/A                                           |        ❌        |       ❌       |           ❌           |     ✅     |

## Making requests

All endpoints accept JSON-RPC 2.0 `POST` requests. The NEAR RPC uses a non-standard format where the method name is encoded in the URL path rather than the request body.

```bash theme={"theme":{"light":"github-light","dark":"github-dark"}}
curl -X POST https://rpc.mainnet.near.org/status \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Run your own node

To run a local RPC node, follow the [NEAR node documentation](https://near-nodes.io/rpc/hardware-rpc).

<Info>
  Testnet tokens have no real value and can be obtained from the [NEAR Faucet](/getting-started/faucet).
</Info>
